# chmdeco -- extract files from ITS/CHM files and decompile CHM files
# Copyright (C) 2003 Pabs

# This file is part of chmdeco; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA, 02111-1307, USA or visit:
# http://www.gnu.org

Summary: Compiled HTML Help (CHM) decompiler
Name: chmdeco
Version: 0.3.1
Release: 1
Group: Applications/Emulators
Copyright: GPL
Source: http://bonedaddy.net/pabs3/hhm/%{name}-%{version}.tar.gz
URL: http://bonedaddy.net/pabs3/hhm/#chmdeco
Vendor: Pabs <pabs@zip.to>
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: /usr

%description
A program to convert the internal files of Compiled HTML Help (CHM) files back
into the authoring files used by the CHM compiler to create the CHM files in
the first place.

CHM files are used on the Micosoft Windows platform to store program
documentation, almost always in the form of HTML, with some non-standard quirks.
CHM files are a form of archive known as InfoTech Storage Format (ITSF) files
and contain some special files to implement features of the CHM viewer. On
Windows they are accessed through a kind of virtual filesystem exposed by a
dynamically loaded library. ITSF files have UTF-8 filenames and use an LZX
cruncher to compress all the files in one big chunk. Both the ITSF and the
formats of the internal CHM files are highly indexed and their designs are
all clearly optimized for read-only access.

%prep
%setup

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=%{prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO THANKS
%attr(0755, root, root) %{_bindir}/chmdeco
%{_mandir}/man1/chmdeco.1*
